/*
ygwm.demo.js : created by Yann Guidon (whygee@f-cpu.org)
 JS code taken away from ygwm.html
version sam. nov.  5 23:55:34 CET 2011
version mer. mai  9 13:10:46 CEST 2012 : new call parameters
version dim. mai 20 13:45:30 CEST 2012 : fixed bug (could open multiple windows for 1 key)
*/

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// This part describes how to create a window associated to a given "key",
// so only one instance is open at the same time.

App1={ win:null};
winman.register_key("Features", function() {
  // Copy the contents of the hidden HTML below
  App1.cont=document.createElement("DIV");
  App1.cont.innerHTML=document.getElementById("contents1").innerHTML;
  // modify the <a> tags to change the style and hook the proper handling routines
  winman.patchInnerLinks(App1.cont);
  App1.win= ygwm.new_window("Révision & features", null, App1.cont,
    350, 300, 70, 80, false, true, true, true, false, "WinOK");

  // display a message at the bottom of the window
  App1.win.shortmsg("bonjour monde !");
  // Don't forget to return the ygwm object ;
  return App1.win;
},1); // 1 means : you can only open one window of this key


// Same process here : create a DIV, patch it, display it
App2={ win:null};
winman.register_key("Footerless", function() {
  App2.cont=document.createElement("DIV");
  App2.cont.innerHTML=document.getElementById("contents2").innerHTML;
  winman.patchInnerLinks(App2.cont);
  App2.win = ygwm.new_window("sans le pied de fenêtre", null, App2.cont,
     300, 200, 300, 70, false, false, true, false, false, "rouge2");
  return App2.win;
},-1);  // -1 (or absent parameter) means : can create as many as you want


App3={ win:null};
winman.register_key("Small-long", function() {
  App3.cont=document.createElement("DIV");
  App3.cont.innerHTML=document.getElementById("contents3").innerHTML;
  App3.win= ygwm.new_window("fenêtre toute petite mais avec un titre très très très trèèèèèèèèèèèèès long",
     null, App3.cont, 40, 40, 40, 240, false, true, true, true, false,"doc_yelo");
  App3.win.shortmsg("ohai ! am in ur footer, sendng a messge");
  return App3.win;
},1);


App4={ win:null};
winman.register_key("Explications", function() {
  App4.cont=document.createElement("DIV");
  App4.cont.innerHTML=document.getElementById("contents4").innerHTML;
  App4.win=ygwm.new_window("Explications", null, App4.cont,
    300, 250, 30000, 30000, false, true, true, true, false, "doc_rdvl");
  return App4.win;
},1);


App5={ win:null};
winman.register_key("AutoList", function() {
  App5.cont=document.createElement("DIV");
  var h="This window's contents is not extracted from an existing DIV in the HTML.<p>Available windows :<ul>";
  for (var i in winman.window_keys)
    h+='<li><a href="#!'+i+'" onclick="winman.activate_window(\''+i+'\')">'+i+"</a></li>";
  App5.cont.innerHTML=h+"</ul>";
  App5.win=ygwm.new_window("AutoList", null, App5.cont,
    300, 250, 400, 300, false, true, true, true, false, "sat_cygr");
  return App5.win;
},1);



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

var rainbow_x=5; // counter for the rainbow

function body_start() {
/* first, create the menu, then the winlist, then add apps and other windows */
    menu.create_menu();

    var
     u=menu.mainMenuItem(["Web"]);
      menu.subMenuItem(u,['<a target="_blank" href="http://yasep.org/gui-js/">YGWM</a>']);
      menu.subMenuItem(u,['<a target="_blank" href="http://yasep.org">yasep.org</a>']);
      menu.subMenuItem(u,['<a target="_blank" href="https://www.facebook.com/pages/The-YASEP/167478153314916">facebook</a>']);

    u=menu.mainMenuItem(["App"]);
    for (var i in winman.window_keys)  /* scan the key list to create the menu items */
      menu.subMenuItem(u, [i], i);  // create a submenu from u, with text "i" and triggering the key "i" :

    u=menu.mainMenuItem(["windows"],'R'); // argument 'R' sets the menu on the right hand
      menu.subMenuItem(u,["Hide&nbsp;all"],winlist.minimizeAll);
      menu.subMenuItem(u,["Show&nbsp;all"],winlist.restoreAll);
      menu.subMenuItem(u,["Rainbow!"], function() {  /* create a "rainbow" */
        for (var i in YGCSS.ColorStyles) {
          setTimeout('ygwm.new_window("'+i+'", null, "none", 160,90,'+rainbow_x
             +', Math.ceil(('+rainbow_x+'/2)+60), false, true, true, true, false, "'+i+'");',rainbow_x);
          rainbow_x+=40;
        }
      });

  winlist.init_obj(); // add the windows list

/* finally create the plain windows */

  window_introduction = ygwm.new_window(
    "Welcome!", document.getElementById("win_welcome"), null,
    Math.ceil((document.body.clientWidth*2)/3), 400,
    Math.ceil( document.body.clientWidth/6), 41, false, true, true, false, false, "docStyle");

  /* The last created window is on top and has focus : */
  ygwm.new_window("Remerciements", document.getElementById("contents5"), null,
    450, 350, 220, 180, false, false, false, true, false, "doc_bucy");

  // remove the speculative error message.
  document.getElementById("BigRedWarning").style.display="none";

// examine the address and extract the key+arguments
  var l=window.location.hash;
  if (l.indexOf("#!")==0)
    winman.activate_window(l.slice(2));
}
