#!/bin/bash
rm -f  yasep2011/yasep.tbz yasep2011/index.html.gz

[[ -a yasep2011/index.html ]] || ( echo yasep2011/index.html absent ; read );

for i in $(find yasep2011|grep -v '[.]png'|grep -v '[.]gif'|grep -v '[.]htm')
do
   od -tx1 -w60000 $i 2>&1 |grep -i -q "c2 a0" && echo $i contains 0xC2A0
done

echo "proceed?" ; read

A=$(date  +%m%d)
pushd yasep2011/examples
  ./mk_list.sh
popd
pushd yasep2011/img
  ./mkimghtml.sh *g > images.html
popd
tar cjvf yasep2011-2012$A.tbz yasep2011
ls -al yasep2011-2012$A.tbz
cp yasep2011-2012$A.tbz yasep2011/yasep.tbz

sed 's/^VERSION=\"/VERSION=\"GZ-/'  yasep2011/index.html |gzip -9 > yasep2011/index.html.gz
scp -r -p yasep2011-2012$A.tbz yasep2011 user@server:directory
rm -f  yasep2011/yasep.tbz yasep2011/index.html.gz
